package io.data2viz.charts.chart.mark

public enum class BoxPlotShape {

    /**
     * The default box plot shape [BarOnMedian] is a simple rectangle with a line to indicate the median value.
     */
    BarOnMedian,

    /**
     * The box plot shape [BarOnMean] is just like the [BarOnMedian] but the tooltip pointer will point on the mean
     * value, instead of the median value.
     */
    BarOnMean,

    /**
     * The [HourglassOnMedian] shape draws 2 triangles upside down that each "points" on the MEDIAN value.
     */
    HourglassOnMedian,

    /**
     * The [HourglassOnMean] shape draws 2 triangles upside down that each "points" on the MEAN value.
     * If there is no mean value then it will look like a standard Bar shape.
     */
    HourglassOnMean
}
