package io.data2viz.charts.chart.mark

import io.data2viz.charts.dimension.Dimension
import io.data2viz.color.ColorOrGradient

/**
 * A visual element that can change its filling color depending on the data.
 */
public interface HasFill<DOMAIN>  {

    /**
     * The [Dimension] used to define a filling color from a DOMAIN object.
     */
    public var fill: Dimension<DOMAIN, ColorOrGradient?>

    /**
     * The [Dimension] used to define a filling color from a DOMAIN object.
     */
    public var fillHighlight: Dimension<DOMAIN, ColorOrGradient?>

    /**
     * The [Dimension] used to define a filling color from a DOMAIN object.
     */
    public var fillSelect: Dimension<DOMAIN, ColorOrGradient?>

}
