package io.data2viz.charts.chart.mark

import io.data2viz.charts.core.HighlightMode

/**
 * A visual element that can handle highlight or not.
 * The behavior is inherited by default from the global chart configuration but you can enable/disable specifically
 * the HighlightMode of a [Mark].
 */
public interface HasHighlightMode {

    /**
     * The [HighlightMode] used to define the highlighting behavior of this element.
     */
    public var highlightMode: HighlightMode

}
