package io.data2viz.charts.chart.mark

import io.data2viz.charts.dimension.Dimension
import io.data2viz.color.Color
import io.data2viz.shape.Symbols

/**
 * A visual element which markers can change shape (symbols) depending on the data.
 */
public interface HasMarker<DOMAIN> {

    /**
     * The [Dimension] used to define the shape (symbol) of a sign from a DOMAIN object.
     */
    public var marker: Dimension<DOMAIN, Symbols?>

    /**
     * Show / hide markers.
     */
    public var showMarkers: Boolean

    @Deprecated("Use marker instead", ReplaceWith("marker"))
    public var symbol: Dimension<DOMAIN, Symbols?>
        get() = marker
        set(value) {marker = value}

    @Deprecated("Use showMarkers instead", ReplaceWith("showMarkers"))
    public var showSymbols: Boolean
        get() = showMarkers
        set(value) {showMarkers = value}

}
