package io.data2viz.charts.chart.mark

import io.data2viz.charts.dimension.Dimension

/**
 * A visual element that can change its stroke thickness depending on the data.
 */
public interface HasStrokeWidth<DOMAIN> {

    /**
     * The [Dimension] used to define the stroke thickness from a DOMAIN object.
     */
    public var strokeWidth: Dimension<DOMAIN, Double?>

    /**
     * The [Dimension] used to define the "highlighted" stroke thickness from a DOMAIN object.
     */
    public var strokeWidthHighlight: Dimension<DOMAIN, Double?>

    /**
     * The [Dimension] used to define the "selected" stroke thickness from a DOMAIN object.
     */
    public var strokeWidthSelect: Dimension<DOMAIN, Double?>

}
