package io.data2viz.charts.chart.mark

import io.data2viz.charts.config.AxisConfig

/**
 * A [Mark] that can display itself along a Y [Axis].
 */
public interface MarkY<DOMAIN, VALUE> {

    /**
     * The [Axis] used to translate data values into a Y position.
     */
    public val y: Axis<DOMAIN, VALUE>

    /**
     * An initialization lambda for configuring the Y [Axis] used in this [Mark].
     */
    public fun y(configLambda: Axis<DOMAIN, VALUE>.() -> Unit) {
        configLambda(y)
    }

    /**
     * The configuration object [AxisConfig] used for the Y axis.
     */
    public val yAxisConfig: AxisConfig
}
