package io.data2viz.charts.config.configs

import io.data2viz.charts.config.ChartConfig
import io.data2viz.charts.config.configuration
import io.data2viz.charts.core.Padding
import io.data2viz.color.col
import io.data2viz.math.pct

/**
 * Debug [ChartConfig]: strong lines, vibrant colors, should not be used in production but useful for debugging
 * when creating custom components.
 */
public val debugConfig: ChartConfig
    get() = configuration {

        strokeColor = "#00FF00".col
        strokeWidth = 2.0

        chart {

        }

        mark {
        }

        tooltip {
        }


        cursor {
            strokeColor = "#FFFF00".col
        }

        zoom {
            strokeColor = "#00FFFF".col
            fill = "#00FFFF".col.withAlpha(30.pct)
        }

        xAxis {
            tickCount = 10
            enableGridLines = true
            gridLinesColor = "#000000".col
            alternateBackgroundColor = "#DDDDDD".col.withAlpha(30.pct)
        }

        yAxis {
            tickCount = 10
            enableGridLines = true
            gridLinesColor = "#000000".col
            alternateBackgroundColor = "#DDDDDD".col.withAlpha(30.pct)
        }
    }
