package io.data2viz.charts.core

import io.data2viz.timeFormat.Locale
import kotlinx.datetime.Instant

/**
 * Format the Instant to full dateTime
 */
public fun Instant.formatToDateTime(locale: Locale): String = locale.format(locale.locale_dateTime)(this)

/**
 * Format the Instant to date (no time).
 */
public fun Instant.formatToDate(locale: Locale): String = locale.format(locale.locale_date)(this)

/**
 * List of formatters for Double.
 */
public object InstantFormatters {

    /**
     * Format the Double to a rounded integer.
     * DoubleFormatters.integer(PI) = "3"
     */
//    public object dateTime: (Instant, Locale) -> String {
//        override fun invoke(p1: Instant, l: Locale): String = p1.formatToDateTime(l)
//    }

    /**
     * Format the Double to decimal notation, rounded to significant digits.
     * DoubleFormatters.decimal(PI) = "3.14159"
     */
//    public object date: (Instant, Locale) -> String {
//        override fun invoke(p1: Instant, l: Locale): String = p1.formatToDate(l)
//    }
}
