package io.data2viz.charts.core

import io.data2viz.charts.chart.mark.Mark

// TODO do we really need (and manage) Disabled and None ???

/**
 * Highlighting behaviors, define how to handle the highlight of [Mark].
 */
public enum class HighlightMode {

    /**
     * Highlight only the selected mark(s).
     */
    Single,

    /**
     * Highlight the selected mark(s) and their series
     */
    Series,

    /**
     * Disable [Mark] highlighting through user interaction, but you can still highlight it through
     * the highlight() function.
     */
    Disabled,

    /**
     * Completely disable [Mark] highlighting, even through the highlight() function.
     */
    None;

    internal val enabled: Boolean
        get() = this != Disabled && this != None
}
