package io.data2viz.charts.core

/**
 * Visibility of the [Legend] component.
 */
public enum class LegendVisibility {

    /**
     * (Default value) the [Legend] is shown if there is enough space, and the information is present (there is
     * a series formatter or there is a Legend.content).
     *
     * @see Chart.series
     */
    Auto,

    /**
     * Always show the [Legend].
     */
    Show,

    /**
     * Always hide the [Legend].
     */
    Hide
}
