package io.data2viz.charts.event

/**
 * User event types
 */
public enum class EventType {

    /**
     * A mouse movement with no button pressed
     */
    Move,

    /**
     * A fast press and release of the LEFT mouse button
     */
    Click,

    /**
     * A mouse movement with the LEFT button pressed
     */
    Drag,

    /**
     * Releasing the button after a drag
     */
    DragEnd,

    /**
     * A fast twice press and release of the LEFT mouse button
     */
    DoubleClick,

    /**
     * A middle wheel scroll
     */
    Wheel,

    /**
     * A touch-related event where the user use 2 pointers, can be used to zoom and/or pan
     */
    Pinch,

    /**
     * A touch-related event where the user swipe then release the chart, leading to a
     */
    Fling,

    /**
     * A "cancel" event, can be triggered from a "cancelled touch" or a "leave" event
     */
    Cancel
}
