package io.data2viz.charts.event

import io.data2viz.math.Percent
import io.data2viz.math.pct

internal operator fun PanAction.plus(other: PanAction): PanAction =
    PanAction(panX + other.panX, panY + other.panY)

/**
 * A pan action from chart-relative coordinates, defaults to 0% / 0% (no pan).
 */
public data class PanAction(
    val panX: Percent = 0.pct,
    val panY: Percent = 0.pct
) {
    public fun constraintOnX(): PanAction = PanAction(0.pct, panY)
    public fun constraintOnY(): PanAction = PanAction(panX, 0.pct)
}
