package io.data2viz.charts.event

import io.data2viz.math.Percent

/**
 * A "pan event" is triggered when a user move the viewport of a [Chart].
 *
 * @param panX The translation along the X-axis in [Percent].
 * @param panY The translation along the Y-axis in [Percent].
 */
public class PanEvent public constructor(public val panAction: PanAction) : ChartEvent {
    public constructor(panX: Percent, panY: Percent) : this(PanAction(panX, panY))

    override var preventDefault: Boolean = false
}
