package io.data2viz.charts.event

import io.data2viz.charts.chart.mark.RelativePoint

/**
 * A rectangle zone on screen with coordinates relative to the current charting zone.
 */
public data class RelativeRect(val topLeft: RelativePoint, val bottomRight: RelativePoint) {

    /**
     * Get the center of the rectangle in relative position
     */
    public val center: RelativePoint
        get() = RelativePoint((topLeft.x + bottomRight.x) / 2.0, (topLeft.y + bottomRight.y) / 2.0)
}
