package io.data2viz.charts.event

/**
 * A "zoom event" is triggered when a user zoom or dezoom on a [Chart].
 * A zoom event has a zoomOrigin which is relative to the charting zone, and a zoomFactor (dezooming < 100% < zooming).
 *
 * @param [zoomAction] the complete parameters of the zoom event.
 */
public class ZoomEvent public constructor(public val zoomAction: ZoomAction) : ChartEvent {

    override var preventDefault: Boolean = false

    override fun toString(): String =
        "Zooming from (${zoomAction.zoomOrigin.x} - ${zoomAction.zoomOrigin.y}), Zooming in (${zoomAction.zoomX} - ${zoomAction.zoomY})"
}
