package io.data2viz.charts.layout

import io.data2viz.charts.core.Padding
import io.data2viz.geom.Size

/**
 * Stores the whole sizing information of a visual component.
 */
public data class ComponentSize(

    /**
     * The innerSize represents the "irreducible" size of the element, all drawings in this size must be rendered.
     */
    public val innerSize: Size = Size(.0, .0),

    /**
     * The padding represents the "overflow" of the element, the drawings "located in the padding" may be rendered
     * or not, depending on the available size.
     */
    public val padding: Padding = Padding()
)
