package io.data2viz.charts.viz

import io.data2viz.charts.viz.internal.delegatePaneToVizContainer
import io.data2viz.geom.Size
import io.data2viz.viz.JsCanvasRenderer
import io.data2viz.viz.Viz
import io.data2viz.viz.bindRendererOn
import kotlinx.browser.document
import kotlinx.dom.appendElement
import org.w3c.dom.HTMLCanvasElement
import org.w3c.dom.HTMLDivElement

/**
 * Attach a new [VizContainer] to a [HTMLDivElement].
 */
public fun HTMLDivElement.newVizContainer(): VizContainer = this.delegatePaneToVizContainer()

/**
 * Create a new VizContainer and append it to the document body.
 */
public fun newVizContainer(): VizContainer {
    val div = document.createElement("div") as HTMLDivElement
    document.body?.appendChild(div)
    return div.newVizContainer()
}

@Deprecated("Use HTMLDivElement.newVizContainer()", ReplaceWith("newVizContainer()"))
public fun HTMLDivElement.vizContainer(): VizContainer = this.newVizContainer()
